Results 1 to 3 of 3

Thread: Extjs 4.2.1.3 support needed

    Thank you for reporting this bug. We will make it our priority to review this report.
  1. #1

    Default Extjs 4.2.1.3 support needed

    We are using EXTjs 4.2.1.3. we have editable grid and selection model as check box if more than 10 header column exceeds in the grid the horizontal scroll bar will be come.

    If i edit in the first row last column(right side) then if i click the same position in second row scroll moved to first(left side) and check box selected.

    The above issue occurs in only IE11.

    selModel code:

    var sm = Ext.create('Ext.selection.CheckboxModel',{
    mode: 'SIMPLE',
    checkOnly: true,
    listeners: {
    beforeSelect: function ( row, model, index ) {
    if(row.selectionMode == "SIMPLE"){
    index = row.lastSelected.index;
    }
    //functionality code

    },
    select: function(model, record, index) {
    id = record.get('id');
    // var selmodel = Ext.getCmp(gridTitle).getSelectionModel().getSelection();
    },
    deselect:function(model, record, index) {
    id = record.get('id');
    }
    },
    allowSelect: true,
    renderer: function(v, p, record){
    //functionality code
    }
    });

    cell editing code:

    Ext.create('Ext.grid.plugin.CellEditing', {
    id : 'cellEditing',
    name : 'cellEditing',
    clicksToEdit: 1,
    pluginId: 'rowEditing',
    listeners: {
    completeEdit : function(e) {
    var activeEd = this.getActiveEditor();
    if (activeEd) {
    activeEd.completeEdit();
    this.editing = false;
    }
    },
    beforeedit : function(editor, e) {


    //functionality code

    //making non editable column code
    }
    }
    })


    we need expected result:
    if i click anywhere inside the grid cells the it should be retained in the clicked position

    Please help me to resolve this issue.

  2. #2
    Sencha User
    Join Date
    Feb 2013
    Location
    California
    Posts
    11,985

    Default

    Thanks for the report. I'm afraid that there is no Ext JS 4.2.1.3 version. Perhaps 4.2.1 or 4.1.3? The first 4.x version to officially support IE11 was 4.2.2.

  3. #3

    Default

    Quote Originally Posted by Gary Schlosberg View Post
    Thanks for the report. I'm afraid that there is no Ext JS 4.2.1.3 version. Perhaps 4.2.1 or 4.1.3? The first 4.x version to officially support IE11 was 4.2.2.


    Sorry for the typo mistake its EXTJS 4.2.1 version.

Similar Threads

  1. Replies: 3
    Last Post: 6 Jun 2017, 11:41 PM
  2. Urgent help Needed in ExtJs
    By arunmatics in forum Ext: Q&A
    Replies: 1
    Last Post: 9 Jan 2014, 1:24 PM
  3. Ext JS 3.4 Support Page link is needed.
    By aw1zard2 in forum Community Discussion
    Replies: 1
    Last Post: 7 Apr 2012, 9:17 AM
  4. Should we use ExtJs? Help needed.
    By Iron in forum Community Discussion
    Replies: 11
    Last Post: 5 Nov 2008, 6:29 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •